<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Тестовое задание: Cписок членов класса</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Тестовое задание
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Титульная&#160;страница</span></a></li>
      <li class="current"><a href="annotated.html"><span>Классы</span></a></li>
      <li><a href="files.html"><span>Файлы</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Классы</span></a></li>
      <li><a href="classes.html"><span>Алфавитный&#160;указатель&#160;классов</span></a></li>
      <li><a href="functions.html"><span>Члены&#160;классов</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">DataServer Cписок членов класса</div>  </div>
</div><!--header-->
<div class="contents">

<p>Полный список членов класса <a class="el" href="class_data_server.html">DataServer</a>, включая наследуемые из базового класса</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_data_server.html#acf71809c4ac2e7eb13d1ad0c6c139b15">DataServer</a>()</td><td class="entry"><a class="el" href="class_data_server.html">DataServer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_data_server.html#a224fa4f36c85fcbce3df48f4c2aaeb8da929982c48a3240f33eb4fdefcb14abe2">ERR_ALREADY_INITIALIZED</a> элементы перечисления</td><td class="entry"><a class="el" href="class_data_server.html">DataServer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_data_server.html#a224fa4f36c85fcbce3df48f4c2aaeb8da13289cf9a5cdda04a784ee47529e807f">ERR_BLOCK_DATA_EXIST</a> элементы перечисления</td><td class="entry"><a class="el" href="class_data_server.html">DataServer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_data_server.html#a224fa4f36c85fcbce3df48f4c2aaeb8da2be97d8b1e7116bd395eb51fb89c8a36">ERR_BLOCK_ID_EXIST</a> элементы перечисления</td><td class="entry"><a class="el" href="class_data_server.html">DataServer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_data_server.html#a224fa4f36c85fcbce3df48f4c2aaeb8daa136f54a5c96b4c0be75afd1532cd983">ERR_BLOCK_ID_NOT_EXIST</a> элементы перечисления</td><td class="entry"><a class="el" href="class_data_server.html">DataServer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_data_server.html#a224fa4f36c85fcbce3df48f4c2aaeb8d">errs</a> перечисление</td><td class="entry"><a class="el" href="class_data_server.html">DataServer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_data_server.html#aab9d8b7d8c058091752d7f42ebb1b1ed">getBlock</a>(uint64_t blockId, char *blockData)</td><td class="entry"><a class="el" href="class_data_server.html">DataServer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_data_server.html#a140ede2da0a4361869c65da205dd1b97">init</a>(uint64_t blockSize, uint32_t blobSize)</td><td class="entry"><a class="el" href="class_data_server.html">DataServer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_data_server.html#a204be5b40179d75ac26ac216a51f8e37">putBlock</a>(uint64_t blockId, const char *blockData)</td><td class="entry"><a class="el" href="class_data_server.html">DataServer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_data_server.html#a224fa4f36c85fcbce3df48f4c2aaeb8da593852054b513cea873bd1e73c593498">SUCCESS</a> элементы перечисления</td><td class="entry"><a class="el" href="class_data_server.html">DataServer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_data_server.html#ab4f08bb5349b6b9e021da97db65f1928">~DataServer</a>()</td><td class="entry"><a class="el" href="class_data_server.html">DataServer</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Документация по Тестовое задание. Последние изменения: Вт 13 Сен 2016 20:23:58. Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.9.1
</small></address>
</body>
</html>
